Added in [API level 5](https://developer.android.com/guide/topics/manifest/uses-sdk-element#ApiLevels) Summary: [Constants](https://developer.android.com/reference/android/provider/ContactsContract.GroupsColumns#constants)

# ContactsContract.GroupsColumns

*** ** * ** ***

` protected static interface ContactsContract.GroupsColumns `   
` `

|---|
| android.provider.ContactsContract.GroupsColumns |

Known indirect subclasses [ContactsContract.Groups](https://developer.android.com/reference/android/provider/ContactsContract.Groups) [ContactsContract.Groups](https://developer.android.com/reference/android/provider/ContactsContract.Groups) Constants for the groups table.   

*** ** * ** ***

**See also:**

- `https://developer.android.com/reference/android/provider/ContactsContract.Groups`

## Summary

| ### Constants ||
|---|---|
| `https://developer.android.com/reference/java/lang/String` | `https://developer.android.com/reference/android/provider/ContactsContract.GroupsColumns#AUTO_ADD` Any newly created contacts will automatically be added to groups that have this flag set to true. |
| `https://developer.android.com/reference/java/lang/String` | `https://developer.android.com/reference/android/provider/ContactsContract.GroupsColumns#DATA_SET` The data set within the account that this group belongs to. |
| `https://developer.android.com/reference/java/lang/String` | `https://developer.android.com/reference/android/provider/ContactsContract.GroupsColumns#DELETED` The "deleted" flag: "0" by default, "1" if the row has been marked for deletion. |
| `https://developer.android.com/reference/java/lang/String` | `https://developer.android.com/reference/android/provider/ContactsContract.GroupsColumns#FAVORITES` When a contacts is marked as a favorites it will be automatically added to the groups that have this flag set, and when it is removed from favorites it will be removed from these groups. |
| `https://developer.android.com/reference/java/lang/String` | `https://developer.android.com/reference/android/provider/ContactsContract.GroupsColumns#GROUP_IS_READ_ONLY` The "read-only" flag: "0" by default, "1" if the row cannot be modified or deleted except by a sync adapter. |
| `https://developer.android.com/reference/java/lang/String` | `https://developer.android.com/reference/android/provider/ContactsContract.GroupsColumns#GROUP_VISIBLE` Flag indicating if the contacts belonging to this group should be visible in any user interface. |
| `https://developer.android.com/reference/java/lang/String` | `https://developer.android.com/reference/android/provider/ContactsContract.GroupsColumns#NOTES` Notes about the group. |
| `https://developer.android.com/reference/java/lang/String` | `https://developer.android.com/reference/android/provider/ContactsContract.GroupsColumns#RES_PACKAGE` The package name to use when creating `https://developer.android.com/reference/android/content/res/Resources` objects for this group. |
| `https://developer.android.com/reference/java/lang/String` | `https://developer.android.com/reference/android/provider/ContactsContract.GroupsColumns#SHOULD_SYNC` Whether this group should be synced if the SYNC_EVERYTHING settings is false for this group's account. |
| `https://developer.android.com/reference/java/lang/String` | `https://developer.android.com/reference/android/provider/ContactsContract.GroupsColumns#SUMMARY_COUNT` The total number of `https://developer.android.com/reference/android/provider/ContactsContract.Contacts` that have `https://developer.android.com/reference/android/provider/ContactsContract.CommonDataKinds.GroupMembership` in this group. |
| `https://developer.android.com/reference/java/lang/String` | `https://developer.android.com/reference/android/provider/ContactsContract.GroupsColumns#SUMMARY_WITH_PHONES` The total number of `https://developer.android.com/reference/android/provider/ContactsContract.Contacts` that have both `https://developer.android.com/reference/android/provider/ContactsContract.CommonDataKinds.GroupMembership` in this group, and also have phone numbers. |
| `https://developer.android.com/reference/java/lang/String` | `https://developer.android.com/reference/android/provider/ContactsContract.GroupsColumns#SYSTEM_ID` The ID of this group if it is a System Group, i.e. |
| `https://developer.android.com/reference/java/lang/String` | `https://developer.android.com/reference/android/provider/ContactsContract.GroupsColumns#TITLE` The display title of this group. |
| `https://developer.android.com/reference/java/lang/String` | `https://developer.android.com/reference/android/provider/ContactsContract.GroupsColumns#TITLE_RES` The display title of this group to load as a resource from `https://developer.android.com/reference/android/provider/ContactsContract.GroupsColumns#RES_PACKAGE`, which may be localized. |

## Constants

### AUTO_ADD

Added in [API level 11](https://developer.android.com/guide/topics/manifest/uses-sdk-element#ApiLevels)

```
public static final String AUTO_ADD
```

Any newly created contacts will automatically be added to groups that have this flag set to true.

Type: INTEGER (boolean)

<br />

Constant Value: "auto_add"

### DATA_SET

Added in [API level 14](https://developer.android.com/guide/topics/manifest/uses-sdk-element#ApiLevels)

```
public static final String DATA_SET
```

The data set within the account that this group belongs to. This allows multiple sync adapters for the same account type to distinguish between each others' group data. This is empty by default, and is completely optional. It only needs to be populated if multiple sync adapters are entering distinct group data for the same account type and account name.

Type: TEXT

<br />

<br />

Constant Value: "data_set"

### DELETED

Added in [API level 5](https://developer.android.com/guide/topics/manifest/uses-sdk-element#ApiLevels)

```
public static final String DELETED
```

The "deleted" flag: "0" by default, "1" if the row has been marked for deletion. When `https://developer.android.com/reference/android/content/ContentResolver#delete(android.net.Uri,%20android.os.Bundle)` is called on a group, it is marked for deletion. The sync adaptor deletes the group on the server and then calls ContactResolver.delete once more, this time setting the the `https://developer.android.com/reference/android/provider/ContactsContract#CALLER_IS_SYNCADAPTER` query parameter to finalize the data removal.

Type: INTEGER

<br />

<br />

Constant Value: "deleted"

### FAVORITES

Added in [API level 11](https://developer.android.com/guide/topics/manifest/uses-sdk-element#ApiLevels)

```
public static final String FAVORITES
```

When a contacts is marked as a favorites it will be automatically added to the groups that have this flag set, and when it is removed from favorites it will be removed from these groups.

Type: INTEGER (boolean)

<br />

Constant Value: "favorites"

### GROUP_IS_READ_ONLY

Added in [API level 11](https://developer.android.com/guide/topics/manifest/uses-sdk-element#ApiLevels)

```
public static final String GROUP_IS_READ_ONLY
```

The "read-only" flag: "0" by default, "1" if the row cannot be modified or deleted except by a sync adapter. See `https://developer.android.com/reference/android/provider/ContactsContract#CALLER_IS_SYNCADAPTER`.

Type: INTEGER

<br />

<br />

Constant Value: "group_is_read_only"

### GROUP_VISIBLE

Added in [API level 5](https://developer.android.com/guide/topics/manifest/uses-sdk-element#ApiLevels)

```
public static final String GROUP_VISIBLE
```

Flag indicating if the contacts belonging to this group should be visible in any user interface.

Type: INTEGER (boolean)

<br />

Constant Value: "group_visible"

### NOTES

Added in [API level 5](https://developer.android.com/guide/topics/manifest/uses-sdk-element#ApiLevels)

```
public static final String NOTES
```

Notes about the group.

Type: TEXT

<br />

Constant Value: "notes"

### RES_PACKAGE

Added in [API level 21](https://developer.android.com/guide/topics/manifest/uses-sdk-element#ApiLevels)

```
public static final String RES_PACKAGE
```

The package name to use when creating `https://developer.android.com/reference/android/content/res/Resources` objects for this group. This value is only designed for use when building user interfaces, and should not be used to infer the owner.

<br />

Constant Value: "res_package"

### SHOULD_SYNC

Added in [API level 5](https://developer.android.com/guide/topics/manifest/uses-sdk-element#ApiLevels)

```
public static final String SHOULD_SYNC
```

Whether this group should be synced if the SYNC_EVERYTHING settings is false for this group's account.

Type: INTEGER (boolean)

<br />

Constant Value: "should_sync"

### SUMMARY_COUNT

Added in [API level 5](https://developer.android.com/guide/topics/manifest/uses-sdk-element#ApiLevels)

```
public static final String SUMMARY_COUNT
```

The total number of `https://developer.android.com/reference/android/provider/ContactsContract.Contacts` that have `https://developer.android.com/reference/android/provider/ContactsContract.CommonDataKinds.GroupMembership` in this group. Read-only value that is only present when querying `https://developer.android.com/reference/android/provider/ContactsContract.Groups#CONTENT_SUMMARY_URI`.

Type: INTEGER

<br />

Constant Value: "summ_count"

### SUMMARY_WITH_PHONES

Added in [API level 5](https://developer.android.com/guide/topics/manifest/uses-sdk-element#ApiLevels)

```
public static final String SUMMARY_WITH_PHONES
```

The total number of `https://developer.android.com/reference/android/provider/ContactsContract.Contacts` that have both `https://developer.android.com/reference/android/provider/ContactsContract.CommonDataKinds.GroupMembership` in this group, and also have phone numbers. Read-only value that is only present when querying `https://developer.android.com/reference/android/provider/ContactsContract.Groups#CONTENT_SUMMARY_URI`.

Type: INTEGER

<br />

Constant Value: "summ_phones"

### SYSTEM_ID

Added in [API level 5](https://developer.android.com/guide/topics/manifest/uses-sdk-element#ApiLevels)

```
public static final String SYSTEM_ID
```

The ID of this group if it is a System Group, i.e. a group that has a special meaning to the sync adapter, null otherwise.

Type: TEXT

<br />

<br />

Constant Value: "system_id"

### TITLE

Added in [API level 5](https://developer.android.com/guide/topics/manifest/uses-sdk-element#ApiLevels)

```
public static final String TITLE
```

The display title of this group.

Type: TEXT

<br />

Constant Value: "title"

### TITLE_RES

Added in [API level 21](https://developer.android.com/guide/topics/manifest/uses-sdk-element#ApiLevels)

```
public static final String TITLE_RES
```

The display title of this group to load as a resource from `https://developer.android.com/reference/android/provider/ContactsContract.GroupsColumns#RES_PACKAGE`, which may be localized.

Type: TEXT

<br />

<br />

Constant Value: "title_res"